v1

Get one webhook

URL, event types, filters and status (active, paused or auto_disabled after 5 abandoned deliveries in a row).

GET/v1/webhooks/{id}Pro

Authentication

Authorizationstringheaderrequired

Your API key as a Bearer token.

Parameters

idstringpathrequired

The webhook's id.

Request

curl --request GET \
  --url "https://api.danskadresseapi.dk/v1/webhooks/<id>" \
  --header "Authorization: Bearer $API_KEY"
Try it
GET https://api.danskadresseapi.dk/v1/webhooks/%7Bid%7D

Response

application/json

The webhook

idstring<uuid>
urlstring<uri>
eventsstring[]
secretstring

The signing secret — only in the response to the creation.

statusenum<string>
Allowed values:activepausedauto_disabled
enabledboolean
filtersobject

Optional resource filters. Within a field it is "or", between fields "and"; an empty object = all events. Account events (invoice.*, quota.*, subscription.*, job.*) are never filtered. An event where e.g. the municipality cannot be determined is not sent when filtering on municipality. At most 5000 values in total.

Show child attributes(4)
filters.bfe_numreinteger[]

BFE numbers (properties).

filters.postnumrestring[]

Postcodes (4 digits), e.g. 2100.

filters.adresse_idsstring<uuid>[]

Address or access address ids (UUID).

filters.kommunekoderstring[]

Municipality codes (4 digits), e.g. 0101.

created_atstring<date-time>
auto_disabled_atstring<date-time> | null
consecutive_failuresinteger
200Eksempel
{
  "id": "00000000-0000-0000-0000-000000000000",
  "url": "…",
  "events": [
    "…"
  ],
  "secret": "…",
  "status": "active",
  "enabled": false,
  "filters": {
    "bfe_numre": [
      0
    ],
    "postnumre": [
      "…"
    ],
    "adresse_ids": [
      "00000000-0000-0000-0000-000000000000"
    ],
    "kommunekoder": [
      "…"
    ]
  },
  "created_at": "2026-09-20T10:00:00.000Z",
  "auto_disabled_at": "2026-09-20T10:00:00.000Z",
  "consecutive_failures": 0
}
401Missing key
{
  "error": {
    "code": "unauthorized",
    "message": "Missing or invalid API key."
  }
}